> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/filters/post-filter-teams-by-filter-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Adds explicit team permissions to the specified filter. POST https://api.awork.com/api/v1/filters/{filterId}/teams Content-Type: application/json Adding filter teams grants explicit access to the filter for all members of the specified teams. Existing explicit team permissions are ignored and therefore not recreated.The user must have at least `manage` permissions for the specified filter. Reference: https://developers.awork.com/apiv1/filters/post-filter-teams-by-filter-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `filterId` (string, required) — The filter that should receive explicit team permissions. ### Body (application/json) This endpoint expects a list of EntityToTeamPostForm. - `list of EntityToTeamPostForm` ## Response ### 200 OK - `list of MinimalEntityToTeamModel` ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 401 Unauthorized Error Unauthorized - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### EntityToTeamPostForm - `accessLevel` (enum, required) — Determines the level of access granted to this contributor or team with respect to the referenced entity. Can be either set to `read` or `manage` where `read` allows viewing the entity and `manage` allows full control over it (read, write and permission changes). - Allowed values: `read`, `manage` - `teamId` (string, required) — The id of the team to be added. ### MinimalEntityToTeamModel - `id` (string, optional) — The id of the entity to team. - `teamId` (string, optional) — The id of the team this entity to team references. - `accessLevel` (string, optional, nullable) — Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to `read` or `manage`. ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Request** ```json [ { "accessLevel": "read", "teamId": "123e4567-e89b-12d3-a456-426614174000" } ] ``` **Response** ```json [ { "id": "123e4567-e89b-12d3-a456-426614174000", "teamId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } ] ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/filters/filterId/teams" payload = [ { "accessLevel": "read", "teamId": "123e4567-e89b-12d3-a456-426614174000" } ] headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/filters/filterId/teams'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '[{"accessLevel":"read","teamId":"123e4567-e89b-12d3-a456-426614174000"}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/filters/filterId/teams" payload := strings.NewReader("[\n {\n \"accessLevel\": \"read\",\n \"teamId\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/filters/filterId/teams") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"accessLevel\": \"read\",\n \"teamId\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.awork.com/api/v1/filters/filterId/teams") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("[\n {\n \"accessLevel\": \"read\",\n \"teamId\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n]") .asString(); ``` ```php request('POST', 'https://api.awork.com/api/v1/filters/filterId/teams', [ 'body' => '[ { "accessLevel": "read", "teamId": "123e4567-e89b-12d3-a456-426614174000" } ]', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/filters/filterId/teams"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"accessLevel\": \"read\",\n \"teamId\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ [ "accessLevel": "read", "teamId": "123e4567-e89b-12d3-a456-426614174000" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/filters/filterId/teams")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```